## yorick-full 2.2.04+dfsg1+full

=== debian/changelog ===
yorick-full (2.2.04+dfsg1+full) unstable; urgency=low

  * Split the yorick-full pseudo package out of the yorick source package.
    (Closes: #918796)

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 09 Jan 2019 14:41:58 +0100

yorick (2.2.04+dfsg1-9) unstable; urgency=low

  * Reactivate build-time tests with a tweak to only open a window once.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 19 Mar 2018 20:40:40 +0100

yorick (2.2.04+dfsg1-8) unstable; urgency=low

  * Deactivate build-time test suite on arm64 armhf i386 ppc64el powerpc
    x32 because creating windows sometimes fail within xvfb-run. The
    problem does not seem to occur in a normal X server or in xpra.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 19 Mar 2018 09:25:08 +0100

yorick (2.2.04+dfsg1-7) unstable; urgency=low

  * Move YAO and Spydr from Depends to Suggests of yorick-full, because
    they both depend on python-gtk which is deprecated.
  * Bump debhelper compat version to 10.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 07 Feb 2018 10:45:31 +0100

yorick (2.2.04+dfsg1-6) unstable; urgency=low

  * Bug fix: "FTBFS: dpkg-shlibdeps: error: no dependency information
    found for /usr/lib/libmpich.so.12 (used by
    debian/yorick-mpy-mpich2/usr/lib/yorick/bin/mpy.mpich2)", thanks to
    Chris Lamb (Closes: #831406): introduce debian/shlibs.local.
  * Check against policy 3.9.8.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 09 Aug 2016 06:01:28 +0200

yorick (2.2.04+dfsg1-5) unstable; urgency=medium

  * Update list of architectures for each MPI variant;
  * Check against standards version 3.0.7;
  * Fix typo in manpage for dh_installyorick;
  * Update Vcs-Git URL to use https.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 15 Feb 2016 15:14:41 +0100

yorick (2.2.04+dfsg1-4) unstable; urgency=medium

  [ Anton Gladky ]
  * Team upload.
  * [ca665bf] Replace mpich2 by mpich. (Closes: #808979)
  * [3ae4112] Apply cme fix dpkg-control.

  [ Bart Martens ]
  * [82ce3ae] Update d/watch.

 -- Anton Gladky <gladk@debian.org>  Mon, 28 Dec 2015 20:29:21 +0100

yorick (2.2.04+dfsg1-3) unstable; urgency=low

  * Bug fix: "unowned directories in /usr/local after purge (policy 6.8
    and 9.1.2): /usr/local/lib/yorick/", thanks to Andreas Beckmann
    (Closes: #787837).

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 08 Jun 2015 15:38:29 +0200

yorick (2.2.04+dfsg1-2) unstable; urgency=low

  * Include autopkgtest suite;
  * Also run X11 tests during build (in xfb-run);
  * Get rid of texi2html build-dep;
  * Separate Build-Depends-Indep and split build-indep target;
  * Patch build system to make it reproducible.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 21 May 2015 22:16:05 +0200

yorick (2.2.04+dfsg1-1) unstable; urgency=low

  * New upstream release (with same version, hence bumping the dfsg
    repacking level). Contains our fix from 2.2.04+dfsg-2.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 20 May 2015 10:01:36 +0200

yorick (2.2.04+dfsg-3) unstable; urgency=low

  * Build MPY on pp64el.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 19 May 2015 17:07:16 +0200

yorick (2.2.04+dfsg-2) unstable; urgency=low

  * Fix segfault at startup when yorick is not in the first directory of
    the PATH variable (Closes: #785692).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 19 May 2015 10:41:54 +0200

yorick (2.2.04+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 18 May 2015 15:08:39 +0200

yorick (2.2.03+dfsg-3) unstable; urgency=medium

  * Bug fix: "linking with libpthread fixes FTBFS of yorick-av and
    yorick-hdf5", thanks to svante.signell@gmail.com</a>; (Closes:
    #761932).
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 19 Sep 2014 15:04:04 +0200

yorick (2.2.03+dfsg-2) unstable; urgency=high

  * Don't build-depend on libopenmpi-dev on s390x.
  * Urgency set to high to not delay the mpich2 transition further for
    this minor change.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 14 May 2014 13:20:49 +0200

yorick (2.2.03+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update control file
  * Check against policy 3.9.5
  * Try harder to build both MPI implementations
  * Bug fix: "emacs24 make-local-hook", thanks to Kevin Ryde (Closes:
    #713039).
  * Bug fix: "regexp/yfnmatch.h is non free", thanks to Thibaut Paumard
    (Closes: #688095).
  * Bug fix: "emacs &quot;\\.i$&quot; pattern", thanks to Kevin Ryde
    (Closes: #713038).
  * Yorick-full depends on yorick-ygsl (instead of -yeti-gsl), -ynfft,
    -gy.
  * Get rid of conflicts/breaks regarding versions strictly older than
    squeeze (oldstable).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 01 Apr 2014 13:07:03 +0200

yorick (2.2.02+dfsg-6) unstable; urgency=low

  * yorick-full Depends: on yorick-svipc and yorick-gyoto

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sat, 30 Jun 2012 07:41:29 +0200

yorick (2.2.02+dfsg-5) unstable; urgency=low

  * Fortify (make sure CPPFLAGS end up in Make.cfg)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 15:04:40 +0200

yorick (2.2.02+dfsg-4) unstable; urgency=low

  * Mention yorick-full in yorick's package description
  * Shorten yorick's suggest to only yorick-full and what it doesn't provide
  * Suggest yorick-svipc and yorick-gyoto in yorick-full

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 26 Jun 2012 10:16:17 +0200

yorick (2.2.02+dfsg-3) unstable; urgency=low

  * Move maintenance to the debian-science team. Update debian/control
    to comply with their policy:
    + change Maintainer, put self in Uploaders;
    + DM-Upload-Allowed: yes;
    + fill-in Vcs-* fields;
    + Priority is extra.
  * update README.source accordingly
  * Bug fix: "p_malloc uses wrong alignment on ia64", introducing patch
    fix-weird-alignment (Closes: #678276).
  * Bug fix: "re-enable testsuite on hppa", thanks to dann frazier
    (Closes: #584136).


