=== debian/control ===
Source: yorick-full
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Section: metapackages
Priority: optional
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0.1
Vcs-Browser: https://salsa.debian.org/science-team/yorick-full
Vcs-Git: https://salsa.debian.org/science-team/yorick-full.git
Homepage: http://yorick.sourceforge.net

Package: yorick-full
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         yorick,
         yorick-dev,
         yorick-doc,
         yorick-av [!ia64 !s390],
         yorick-cubeview,
         yorick-curses,
         yorick-gl,
         yorick-gy,
         yorick-gyoto,
         yorick-hdf5,
         yorick-imutil,
         yorick-mira,
         yorick-ml4,
         yorick-mpeg,
         yorick-optimpack,
         yorick-soy,
         yorick-svipc,
         yorick-yeti,
         yorick-yeti-fftw,
         yorick-yeti-regex,
         yorick-yeti-tiff,
         yorick-ygsl,
         yorick-ynfft,
         yorick-yutils,
         yorick-z
Suggests: yorick-mpy-openmpi | yorick-mpy-mpich2,
	  yorick-yao, yorick-spydr
Description: full installation of the Yorick interpreter and add-ons
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-full metapackage installs Yorick together with the full set
 of add-ons packaged for Debian.
 .
 You may prefer to only install the yorick package and cherry-pick the
 yorick-* add-ons you need.
 .
 If you need MPY, the MPI parallel version of Yorick, please install
 either yorick-mpy-openmpi or yorick-mpy-mpich2 in addition.
