## yorick-full 2.2.04+dfsg1+full+nmu1

=== debian/changelog ===
yorick-full (2.2.04+dfsg1+full+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:34:30 +0800
